## CGAL::Qt_widget_get_point<T>

### Definition

An object of type Qt_widget_get_point<T> creates a CGAL point, every time the left mouse button is clicked.

#include <CGAL/IO/Qt_widget_get_point.h>

### Parameters

The full template declaration of Qt_widget_get_point states one parameter:

template < | class T >
class Qt_widget_get_point;

If T is one of the CGAL kernels you don't need additional types. If not, the parameter T has to provide this types:

### Types

typedef T::Point_2 | Point_2; | This should be a Point type
typedef T::FT | FT; | This should be a Field type

### Inherits From

Qt_widget_layer

### Creation

Qt_widget_get_point<T> getpoint ( | const QCursor c=QCursor(Qt::crossCursor), QObject* parent = 0, const char* name = 0);

| c is the cursor that this layer will use when is active. parent is the parent widget and name is the name you give to this layer.